## org.eclipse.emf.mapping.provider
Class MappingItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.mapping.util.MappingAdapterFactory
              org.eclipse.emf.mapping.provider.MappingItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

    public class MappingItemProviderAdapterFactory

extends MappingAdapterFactory
implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support JFace viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`.

Field Summary
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`protected ComplexTypeConverterItemProvider` `complexTypeConverterItemProvider` This keeps track of the one adapter used for all `ComplexTypeConverter` instances.
`protected Disposable` `disposable` This is used to implement `IDisposable`.
`protected FunctionNamePairItemProvider` `functionNamePairItemProvider` This keeps track of the one adapter used for all `FunctionNamePair` instances.
`protected FunctionPairItemProvider` `functionPairItemProvider` This keeps track of the one adapter used for all `FunctionPair` instances.
`protected MappingHelperItemProvider` `mappingHelperItemProvider` This keeps track of the one adapter used for all `MappingHelper` instances.
`protected MappingItemProvider` `mappingItemProvider` This keeps track of the one adapter used for all `Mapping` instances.
`protected MappingRootItemProvider` `mappingRootItemProvider` This keeps track of the one adapter used for all `MappingRoot` instances.
`protected MappingStrategyItemProvider` `mappingStrategyItemProvider` This keeps track of the one adapter used for all `MappingStrategy` instances.
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.
`protected TypeConverterItemProvider` `typeConverterItemProvider` This keeps track of the one adapter used for all `TypeConverter` instances.

Fields inherited from class org.eclipse.emf.mapping.util.MappingAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`MappingItemProviderAdapterFactory()` This constructs an instance from a domain notifier.

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` Returns either a previously associated adapter or a newly associated adapter, as appropriate.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)` Returns either the result of calling `adapt(Notifier, Object)` or the result of calling `resolve(Object, Object)`, depending on whether the target is a notifier.
`Adapter` `adaptNew(Notifier object, java.lang.Object type)` Creates an adapter by calling `createAdapter(Notifier, Object)` and associates it by calling `associate`.
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`Adapter` `createComplexTypeConverterAdapter()` This creates an adapter for a `ComplexTypeConverter`.
`Adapter` `createFunctionNamePairAdapter()` This creates an adapter for a `FunctionNamePair`.
`Adapter` `createFunctionPairAdapter()` This creates an adapter for a `FunctionPair`.
`Adapter` `createMappingAdapter()` This creates an adapter for a `Mapping`.
`Adapter` `createMappingHelperAdapter()` This creates an adapter for a `MappingHelper`.
`Adapter` `createMappingRootAdapter()` This creates an adapter for a `MappingRoot`.
`Adapter` `createMappingStrategyAdapter()` This creates an adapter for a `MappingStrategy`.
`Adapter` `createTypeConverterAdapter()` This creates an adapter for a `TypeConverter`.
`void` `dispose()` This is called to dispose the object.
`void` `fireNotifyChanged(Notification msg)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)` Returns whether this factory is applicable for the type of the object
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.emf.mapping.util.MappingAdapterFactory
`createAdapter, createEObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew`

Field Detail

### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory

### changeNotifier

    protected IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### disposable

    protected Disposable disposable

  This is used to implement `IDisposable`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### mappingRootItemProvider

    protected MappingRootItemProvider mappingRootItemProvider

  This keeps track of the one adapter used for all `MappingRoot` instances.

### mappingItemProvider

    protected MappingItemProvider mappingItemProvider

  This keeps track of the one adapter used for all `Mapping` instances.

### functionPairItemProvider

    protected FunctionPairItemProvider functionPairItemProvider

  This keeps track of the one adapter used for all `FunctionPair` instances.

### typeConverterItemProvider

    protected TypeConverterItemProvider typeConverterItemProvider

  This keeps track of the one adapter used for all `TypeConverter` instances.

### mappingHelperItemProvider

    protected MappingHelperItemProvider mappingHelperItemProvider

  This keeps track of the one adapter used for all `MappingHelper` instances.

### mappingStrategyItemProvider

    protected MappingStrategyItemProvider mappingStrategyItemProvider

  This keeps track of the one adapter used for all `MappingStrategy` instances.

### functionNamePairItemProvider

    protected FunctionNamePairItemProvider functionNamePairItemProvider

  This keeps track of the one adapter used for all `FunctionNamePair` instances.

### complexTypeConverterItemProvider

    protected ComplexTypeConverterItemProvider complexTypeConverterItemProvider

  This keeps track of the one adapter used for all `ComplexTypeConverter` instances.

Constructor Detail

### MappingItemProviderAdapterFactory

    public MappingItemProviderAdapterFactory()

  This constructs an instance from a domain notifier.

Method Detail

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Description copied from class: `MappingAdapterFactory`
  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `MappingAdapterFactory`
  Parameters:
    `type` - the key indicating the type of adapter in question.
  Returns:
    whether this factory is applicable for the type of the object.
  See Also:
    `Adapter.isAdapterForType(java.lang.Object)`

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  Description copied from interface: `AdapterFactory`
  Returns either a previously associated adapter or a newly associated adapter, as appropriate. It will check if the right type of adapter is already associated with the target and will return it in that case; otherwise, it will `create` a new adapter if possible.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`
  Parameters:
    `notifier` - the notifier to adapt.
    `type` - the key indicating the type of adapter required.
  Returns:
    a previously existing associated adapter, a new associated adapter if possible, or `null` otherwise.
  See Also:
    `Adapter.setTarget(org.eclipse.emf.common.notify.Notifier)`, `AdapterFactory.adaptNew(org.eclipse.emf.common.notify.Notifier, java.lang.Object)`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Description copied from class: `AdapterFactoryImpl`
  Returns either the result of calling `adapt(Notifier, Object)` or the result of calling `resolve(Object, Object)`, depending on whether the target is a notifier.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`
  Parameters:
    `object` - arbitrary object to adapt.
    `type` - the key indicating the type of adapter required.
  Returns:
    either an associated adapter or the object itself.
  See Also:
    `AdapterFactoryImpl.adapt(Notifier,Object)`, `AdapterFactoryImpl.resolve(Object, Object)`

### adaptNew

    public Adapter adaptNew(Notifier object,
                            java.lang.Object type)

  Description copied from class: `AdapterFactoryImpl`
  Creates an adapter by calling `createAdapter(Notifier, Object)` and associates it by calling `associate`.

  Specified by:
    `adaptNew` in interface `AdapterFactory`
  Overrides:
    `adaptNew` in class `AdapterFactoryImpl`
  Parameters:
    `object` - the notifier to adapt.
    `type` - the key indicating the type of adapter required.
  Returns:
    a new associated adapter.
  See Also:
    `AdapterFactoryImpl.createAdapter(Notifier, Object)`, `AdapterFactoryImpl.associate(Adapter, Notifier)`

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(Notification msg)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`

### createMappingRootAdapter

    public Adapter createMappingRootAdapter()

  This creates an adapter for a `MappingRoot`.

  Overrides:
    `createMappingRootAdapter` in class `MappingAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MappingRoot`

### createMappingAdapter

    public Adapter createMappingAdapter()

  This creates an adapter for a `Mapping`.

  Overrides:
    `createMappingAdapter` in class `MappingAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Mapping`

### createFunctionPairAdapter

    public Adapter createFunctionPairAdapter()

  This creates an adapter for a `FunctionPair`.

  Overrides:
    `createFunctionPairAdapter` in class `MappingAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FunctionPair`

### createTypeConverterAdapter

    public Adapter createTypeConverterAdapter()

  This creates an adapter for a `TypeConverter`.

  Overrides:
    `createTypeConverterAdapter` in class `MappingAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TypeConverter`

### createMappingHelperAdapter

    public Adapter createMappingHelperAdapter()

  This creates an adapter for a `MappingHelper`.

  Overrides:
    `createMappingHelperAdapter` in class `MappingAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MappingHelper`

### createMappingStrategyAdapter

    public Adapter createMappingStrategyAdapter()

  This creates an adapter for a `MappingStrategy`.

  Overrides:
    `createMappingStrategyAdapter` in class `MappingAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MappingStrategy`

### createFunctionNamePairAdapter

    public Adapter createFunctionNamePairAdapter()

  This creates an adapter for a `FunctionNamePair`.

  Overrides:
    `createFunctionNamePairAdapter` in class `MappingAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FunctionNamePair`

### createComplexTypeConverterAdapter

    public Adapter createComplexTypeConverterAdapter()

  This creates an adapter for a `ComplexTypeConverter`.

  Overrides:
    `createComplexTypeConverterAdapter` in class `MappingAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComplexTypeConverter`

### dispose

    public void dispose()

  Description copied from interface: `IDisposable`
  This is called to dispose the object.

  Specified by:
    `dispose` in interface `IDisposable`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.